Bug 242069 - device-mapper mirror: Blockable function [clear_region] called inside spinlock
Summary: device-mapper mirror: Blockable function [clear_region] called inside spinlock
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On: 242068
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-01 14:55 UTC by Jonathan Earl Brassow
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 19:50:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Jonathan Earl Brassow 2007-06-01 14:55:08 UTC
+++ This bug was initially created as a clone of Bug #242068 +++

From drivers/md/dm-log.h:
        /*
         * Mark an area as clean or dirty.  These functions may
         * block, though for performance reasons blocking should
         * be extremely rare (eg, allocating another chunk of
         * memory for some reason).
         */
        void (*mark_region)(struct dirty_log *log, region_t region);
        void (*clear_region)(struct dirty_log *log, region_t region);

These function rarely block, but they could.  Would be a good idea
to move the clear_region call in rh_update_states outside the
spin lock.

Comment 1 RHEL Product and Program Management 2007-06-01 15:24:44 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Jay Turner 2007-06-01 17:47:56 UTC
QE ack for RHEL5.1.

Comment 4 Don Zickus 2007-06-27 15:51:40 UTC
in 2.6.18-32.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 6 Mike Gahagan 2007-09-20 21:26:49 UTC
Confirmed fix is in the -47.el5 kernel


Comment 8 errata-xmlrpc 2007-11-07 19:50:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.